#
# spec file for package rubygem-mini_portile
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-mini_portile
Version:        0.5.2
Release:        5.3
%define mod_name mini_portile
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            http://github.com/luislavena/mini_portile
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Simplistic port-like solution for developers
License:        MIT
Group:          Development/Languages/Ruby

%description
Simplistic port-like solution for developers. It provides a standard and
simplified way to compile against dependency libraries without messing up your
system.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Tue Jul 15 2014 mrueckert@suse.com
- regenerate with new template
* Thu Jun 26 2014 mrueckert@suse.com
- move to SLE 12 packaging schema
* Thu Oct 31 2013 coolo@suse.com
- updated to version 0.5.2
  * Bugfixes:
  * Change tar detection order to support NetBSD 'gtar'. Closes #24
  * Trick 'git-apply' when applying patches on nested Git checkouts. [larskanis]
  * Respect ENV's MAKE before fallback to 'make'. [larskanis]
  * Respect ENV's CC variable before fallback to 'gcc'.
  * Avoid non-ASCII output of GCC cause host detection issues. Closes #22
* Fri Jul 12 2013 coolo@suse.com
- updated to version 0.5.1
  * Bugfixes:
  * Detect tar executable without shelling out. [jtimberman
* Fri Jun 21 2013 coolo@suse.com
- please legal-team
* Sun Jun  9 2013 coolo@suse.com
- initial version
